<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./style.css">
    <title>Document</title>
</head>
<body>
    <h2>Опишіть своїми словами як працює метод forEach.</h2>
    <p>Метод forEach() приймає один параметр - функцію зворотного виклику callback. проходить через кожен елемент масиву, один за одним, і виконує вказану функцію для кожного елемента. Ви не можете припинити або зупинити ітерацію методу forEach() за допомогою break або return </p>
  
    <h2>Як очистити масив?</h2>
    <ul>
        <li>Встановити arr.length рівною нулю</li>
        <li>Використати метод splice: arr.splice(0, arr.length)</li>
        <li>Присвоїти порожній масив: []</li>
    </ul>

    <h2>Як можна перевірити, що та чи інша змінна є масивом?</h2>
    <ul>
        <li>Використання методу Array.isArray()</li>
        <li> за допомогою оператора typeof</li>
    </ul>

    <script src="./script.js"></script>
</body>
</html>